apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
- manager.yaml
- namespace.yaml

patches:
- path: auth_proxy_patch.yaml

images:
- name: controller
  newName: "{{ .Vars.GITLAB_RUNNER_OPERATOR_REGISTRY }}/gitlab-runner-operator"
  newTag: "v{{ .Vars.VERSION }}"
- name: kube-rbac-proxy
  newName: "{{ .Vars.K8S_RBAC_PROXY_IMAGE_REGISTRY }}"
  newTag: "v{{ .Vars.K8S_RBAC_PROXY_IMAGE_VERSION }}"
namespace: gitlab-runner-system
namePrefix: gitlab-runner

components:
  - components/{{ .Target }}